<template>
  <b-container fluid="md" sm="6" dir="rtl">
    <div>
      <b-form @submit="submitLogin">
        <b-row class="my-1">
          <b-col sm="6">
            <label
              ><code>{{ $t("message.email") }}</code
              >:</label
            >
            <b-form-input
              id="email"
              type="email"
              v-model="email"
              required
              :placeholder="$t('message.enter_email')"
            ></b-form-input>
          </b-col>
        </b-row>
        <b-row class="my-1">
          <b-col sm="6">
            <label
              ><code>{{ $t("message.password") }}</code
              >:</label
            >
            <b-form-input
              id="password"
              type="password"
              v-model="password"
              required
            ></b-form-input>
          </b-col>
        </b-row>
        <b-row>
          <b-col sm="6">
            <b-button type="submit" block variant="primary">{{
              $t("message.submitLogin")
            }}</b-button>
          </b-col>
        </b-row>
      </b-form>
    </div>
  </b-container>
</template>
<script>
export default {
  data() {
    return {
      email: "",
      password: "",
    };
  },
  methods: {
    submitLogin(evt) {
      console.log(evt.target.email.value + "==" + evt.target.password.value);
      this.$router.push("/dashboard");
    },
  },
};
</script>
<style scoped>
</style>